Bug 2128710 - CVE-2022-38177 bind: memory leak in ECDSA DNSSEC verification code [fedora-all]
Summary: CVE-2022-38177 bind: memory leak in ECDSA DNSSEC verification code [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 36
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-38177
TreeView+ depends on / blocked
 
Reported: 2022-09-21 13:01 UTC by Marian Rehak
Modified: 2022-10-01 01:25 UTC (History)
7 users (show)

Fixed In Version: bind-9.18.7-1.fc37 bind-9.16.33-1.fc36 bind-9.16.33-1.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-25 00:18:27 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2022-09-21 13:01:11 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2022-09-21 13:01:14 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2128601,2128710

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-09-22 08:18:17 UTC
FEDORA-2022-5cf67355ec has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-5cf67355ec

Comment 3 Fedora Update System 2022-09-22 08:26:23 UTC
FEDORA-2022-5cf67355ec has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2022-09-22 12:29:07 UTC
FEDORA-2022-ef038365de has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ef038365de

Comment 5 Fedora Update System 2022-09-22 16:58:30 UTC
FEDORA-2022-8268735e06 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8268735e06

Comment 6 Fedora Update System 2022-09-22 22:19:41 UTC
FEDORA-2022-b197d64471 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b197d64471

Comment 7 Fedora Update System 2022-09-23 01:49:15 UTC
FEDORA-2022-ef038365de has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ef038365de`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ef038365de

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-23 01:57:42 UTC
FEDORA-2022-8268735e06 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-8268735e06`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8268735e06

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-23 02:21:44 UTC
FEDORA-2022-b197d64471 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-b197d64471`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b197d64471

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-09-25 00:18:27 UTC
FEDORA-2022-ef038365de has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-09-27 01:31:31 UTC
FEDORA-2022-8268735e06 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-10-01 01:25:45 UTC
FEDORA-2022-b197d64471 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.